struts-user mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From "Christian Bollmeyer" <j...@christianbollmeyer.de>
Subject Re: Invalid Class file Format (help same problem)
Date Tue, 16 Sep 2003 12:04:34 GMT
Hi,

iAS 9.0.3 runs perfectly with JDK 1.4.2. It's true that it
comes along with its own JDK which is a 1.3 version.
The JSP compiler uses the tools.jar that is found in
a separate directory named /jdk/lib, whereas
the server itself is located unterneath /j2ee, both
located directly underneath the installation directory.
This (/jdk/lib) is where you must copy the 1.4 tools.jar.

To make sure Oracle really uses the correct JDK,
it's best to explicitly specify the exact path to
java.exe and invoke oc4j.jar with that:

D:\Java\j2sdk1.4.2\bin\java -jar oc4j.jar

This definitely works; I just tested this again
with a fresh installation.

HTH,

-- Chris (SCPJ2)


----- Original Message -----
From: "Richard Raquepo" <rraquepo@primeorion.com>
To: "Struts Users Mailing List" <struts-user@jakarta.apache.org>
Sent: Tuesday, September 16, 2003 1:34 PM
Subject: Re: Invalid Class file Format (help same problem)


> I guess so. Bcoz i downloaded Oracle 9iAS developer version 9.0.4 and my
app
> worked.
>
> i guest the production version of Oracle 9iAS 9.0.3 is for jdk 1.3 only.
>
> thanks a lot guys...
>
> -richard
> ----- Original Message -----
> From: "Stefan Frank" <s.frank@vierundsechzig.de>
> To: "Richard Raquepo" <rraquepo@primeorion.com>
> Cc: "Struts Users Mailing List" <struts-user@jakarta.apache.org>
> Sent: Tuesday, September 16, 2003 7:14 PM
> Subject: Re: Invalid Class file Format (help same problem)
>
>
> > I guess, Oracle comes with its own runtime-enviroment (a fellow stated
> > in the other mail, that oracle 9iAs runs on jdk1.3). The jsp-examples
> > work, as they ship pre-compiled. Going back to 1.3 should not be such a
> > big problem, as struts runs fine on 1.3 - Maybe there is an oracle-guy
> > somewhere, that can enlighten us, if and how you can teach oracle to run
> > with 1.4...

-- CLIP!



---------------------------------------------------------------------
To unsubscribe, e-mail: struts-user-unsubscribe@jakarta.apache.org
For additional commands, e-mail: struts-user-help@jakarta.apache.org


Mime
View raw message